Database upgrade from docentric error during Proactive Quality Update - 10.0.36

Hi,
We got this message in the action center, which seems have happened in connection with a Proactive Quality Update - 10.0.36 pushed from Microsoft. Could this be a potential problem? We have not noticed any malfunctioning. Why is the database upgrade from Docentric trigged by the Quality update?
We are using the Free version of Docentric, Product version 3.4.7.1 , Product release date 11/2/2023
Docentric AX 3.4.7.1 (isv)
Docentric AX CBD Replicas 3.4.7.0 (isv)
Docentric AX Emails 3.4.7.1 (isv)
Docentric AX Extension 3.4.7.1 (isv
Docentric AX License Plate Labels 3.4.7.1 (isv)
Docentric AX SSRS Replicas 3.4.7.1 (isv)

The notification we got in action center in D365 v 10.0.36 was this:
*Database upgrade from Docentric version 3.4.7.0 to version 3.4.7.1 at 20.01.2024 01:14:33: Error occurred while upgrading DB: System.IO.FileNotFoundException: Could not load file or assembly 'Dynamics.AX.*CUS.Forms.0.netmodule’ or one of its dependencies. The system cannot find the file specified. File name: 'Dynamics.AX.CUS.Forms.0.netmodule’ —> System.IO.FileNotFoundException: The system cannot find the file specified. (Exception from HRESULT: 0x80070002) at System.Reflection.RuntimeAssembly.GetModules(RuntimeAssembly assembly, Boolean loadIfNotFound, Boolean getResourceModules, ObjectHandleOnStack retModuleHandles) at System.Reflection.RuntimeAssembly.GetModulesInternal(Boolean loadIfNotFound, Boolean getResourceModules) at System.Reflection.Assembly.GetTypes() at Microsoft.Dynamics.Ax.Xpp.DictClass.Getattributedclasses(String attrName) in D:\dbs\sh\l23t\1023_210540_0\cmd\3\Source\Kernel\xppil\XppSupport\DictClass.cs:line 547 at Dynamics.AX.Application.DocUpgradeManager.`fillUpgradeSteps() in xppSource://Source/Docentric AX\Ax

Hi @TorleifArnesen ,

First of all welcome to the Docentric community!

The error message you are receiving could indicate an installation/build/sync problem.
A similar problem was discussed in this forum thread: Link >>

Can you perhaps rebuild/sync all models? Please let me know if this has helped.

It helped to rebuild the model. The issue causing problems was that for one custom model both source code and binary code was checked in where we got a similar error message.